Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QIODevice.OpenModeFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QIODevice.OpenModeFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QIODevice

    public static final class QIODevice.OpenModeFlag

extends java.lang.Enum
implements QtEnumerator

This enum is used with `open()` to describe the mode in which a device is opened. It is also returned by `openMode()`. Certain flags, such as `Unbuffered` and `Truncate`, are meaningless when used with some subclasses. Some of these restrictions are implied by the type of device that is represented by a subclass; for example, access to a `QBuffer` is always unbuffered. In other cases, the restriction may be due to the implementation, or may be imposed by the underlying platform; for example, `QTcpSocket` does not support `Unbuffered` mode, and limitations in the native API prevent `QFile` from supporting `Unbuffered` on Windows.

See Also:
  Serialized Form

Field Summary
`static QIODevice.OpenModeFlag` | `Append` The device is opened in append mode, so that all data is written to the end of the file.
`static QIODevice.OpenModeFlag` | `NotOpen` The device is not open.
`static QIODevice.OpenModeFlag` | `ReadOnly` The device is open for reading.
`static QIODevice.OpenModeFlag` | `ReadWrite` The device is open for reading and writing.
`static QIODevice.OpenModeFlag` | `Text` When reading, the end-of-line terminators are translated to '\n'.
`static QIODevice.OpenModeFlag` | `Truncate` If possible, the device is truncated before it is opened.
`static QIODevice.OpenModeFlag` | `Unbuffered` Any buffer in the device is bypassed.
`static QIODevice.OpenModeFlag` | `WriteOnly` The device is open for writing.

Method Summary
`static QIODevice.OpenMode` | `createQFlags(QIODevice.OpenModeFlag[] values)` This function creates a com.trolltech.qt.core.QIODevice$OpenMode with the specified `com.trolltech.qt.core.QIODevice$OpenModeFlag[]` QIODevice$OpenModeFlag values set.
`static QIODevice.OpenModeFlag` | `resolve(int value)` Returns the QIODevice$OpenModeFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QIODevice.OpenModeFlag` | `valueOf(java.lang.String name)`
`static QIODevice.OpenModeFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NotOpen

    public static final QIODevice.OpenModeFlag NotOpen

  The device is not open.

### ReadOnly

    public static final QIODevice.OpenModeFlag ReadOnly

  The device is open for reading.

### WriteOnly

    public static final QIODevice.OpenModeFlag WriteOnly

  The device is open for writing.

### ReadWrite

    public static final QIODevice.OpenModeFlag ReadWrite

  The device is open for reading and writing.

### Append

    public static final QIODevice.OpenModeFlag Append

  The device is opened in append mode, so that all data is written to the end of the file.

### Truncate

    public static final QIODevice.OpenModeFlag Truncate

  If possible, the device is truncated before it is opened. All earlier contents of the device are lost.

### Text

    public static final QIODevice.OpenModeFlag Text

  When reading, the end-of-line terminators are translated to '\n'. When writing, the end-of-line terminators are translated to the local encoding, for example '\r\n' for Win32.

### Unbuffered

    public static final QIODevice.OpenModeFlag Unbuffered

  Any buffer in the device is bypassed.

Method Detail

### values

    public static QIODevice.OpenModeFlag[] values()

### valueOf

    public static QIODevice.OpenModeFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QIODevice.OpenMode createQFlags(QIODevice.OpenModeFlag[] values)

  This function creates a com.trolltech.qt.core.QIODevice$OpenMode with the specified `com.trolltech.qt.core.QIODevice$OpenModeFlag[]` QIODevice$OpenModeFlag values set.

### resolve

    public static QIODevice.OpenModeFlag resolve(int value)

  Returns the QIODevice$OpenModeFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD